Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86151 - No space left on device
Summary: No space left on device
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk
Version: 8.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-14 22:03 UTC by Lap Nguyen
Modified: 2007-03-27 04:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-09 15:19:47 UTC


Attachments (Terms of Use)

Description Lap Nguyen 2003-03-14 22:03:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
Kernel: 2.4.18-14

I run "mkbootdisk 2.4.18-14" at command prompt, but I get these error messages:

gzip: stdout: No space left on device
cat: write error: No space left on device
cat: write error: No space left on device

I determine there's no space left on the floppy disk (100% used). I have several
machines here, some I can run mkbootdisk, but some I can't (it produces the same
errors as above). 


what are other alternative ways to do 'mkbootdisk' to write onto different
devices or even its hard drive?

Can I use one floppy bootdisk for all of my machines if they have the same kernel?

Version-Release number of selected component (if applicable):
mkbootdisk-1.4.8-1

How reproducible:
Always

Steps to Reproduce:
1.mkbootdisk kernel_here
2.gfloppy
3.mkbootdisk kernel_here
    

Actual Results:  same errors as above

Additional info:

Comment 1 Gregory Miller 2003-12-30 20:33:18 UTC
I have a similar problem using RH9 with the latest kernel patch
2.4.20-27.9.  It works fine with 2.4.20-20.9, but with ...27.9 I
get the error:

cp:  writing `/tmp/mkbootdisk.gIKbeP/initrd.img': No space left on device
cat: write error: No space left on device
cat: write error: No space left on device

Note:  it is not the case that my /tmp or other file systems are
full.

Comment 2 Peter Vrabec 2004-11-09 15:19:47 UTC
- U can compile your own smaller kernel and use mkbootdisk with it.
- Create iso image using mkbootdisk and burn iso on cdrom

U can use one floppy bootdisk for your machines, there is a copy of
kernel on the floppy bootdisk. But the kernel must include support for
machine hardware.


Note You need to log in before you can comment on or make changes to this bug.